Opened 7 years ago

Closed 5 years ago

Last modified 3 years ago

#26 closed defect (wontfix)

megaraid doest show info

Reported by: ascopenco Owned by: somebody
Priority: major Milestone:
Component: all Version: 5.39
Keywords: megaraid linux needinfo Cc: jharg

Description

# /usr/sbin/smartctl -V
smartctl 5.39 2009-12-04 r2993 [i686-redhat-linux-gnu] (local build)
Copyright (C) 2002-9 by Bruce Allen, http://smartmontools.sourceforge.net

smartctl comes with ABSOLUTELY NO WARRANTY. This is free
software, and you are welcome to redistribute it under
the terms of the GNU General Public License Version 2.
See http://www.gnu.org for further details.

smartmontools release 5.39 dated 2009-11-30 at 20:24:12 UTC
smartmontools SVN rev 2993 dated 2009-12-04 at 17:29:50
smartmontools build host: i686-redhat-linux-gnu
smartmontools build configured: 2009-12-08 10:00:19 UTC
smartctl compile dated Dec 8 2009 at 13:00:33
smartmontools configure arguments: '--host=i686-redhat-linux-gnu' '--build=i686-redhat-linux-gnu' '--target=i386-redhat-linux' '--program-prefix=' '--prefix=/usr' '--exec-prefix=/usr' '--bindir=/usr/bin' '--sbindir=/usr/sbin' '--sysconfdir=/etc' '--datadir=/usr/share' '--includedir=/usr/include' '--libdir=/usr/lib' '--libexecdir=/usr/libexec' '--localstatedir=/var' '--sharedstatedir=/usr/com' '--mandir=/usr/share/man' '--infodir=/usr/share/info' 'CFLAGS=-O2 -g -march=i386 -mcpu=i686' 'CXXFLAGS=-O2 -g -march=i386 -mcpu=i686' 'build_alias=i686-redhat-linux-gnu' 'host_alias=i686-redhat-linux-gnu' 'target_alias=i386-redhat-linux'

# /usr/sbin/megarc.bin -AllAdpInfo?


MEGARC MegaRAID Configuration Utility(LINUX)-1.11(12-07-2004)
By LSI Logic Corp.,USA


[Note: For SATA-2, 4 and 6 channel controllers, please specify
Ch=0 Id=0..15 for specifying physical drive(Ch=channel, Id=Target)]

Type ? as command line arg for help

AdapterNo? FirmwareType? CardType?
00 40LD/8SPAN MegaRAID SCSI 320-1

#/usr/sbin/megarc.bin -dispCfg -a0
...

Logical Drive : 0( Adapter: 0 ): Status: OPTIMAL

---------------------------------------------------
SpanDepth? :01 RaidLevel?: 5 RdAhead? : No Cache: DirectIo?
StripSz? :064KB Stripes : 4 WrPolicy?: WriteBack?

Logical Drive 0 : SpanLevel_0 Disks
Chnl Target StartBlock? Blocks Physical Target Status
---- ------ ---------- ------ ----------------------
0 00 0x00000000 0x088bb000 ONLINE
0 01 0x00000000 0x088bb000 ONLINE
0 02 0x00000000 0x088bb000 ONLINE
0 03 0x00000000 0x088bb000 ONLINE

/usr/sbin/megarc.bin -LogPhysInfo? -a0
...

Adapter No 0 : Total Logical Drive(s)- 1

Logical drive 0: RaidLevel? 5

Physical Drive Information
Channel 0

70006MB drive scsi ID 0

CoerSZ: 143372288(Sectors) 70006(MB) RawSZ: 143374743(Sectors)

70006MB drive scsi ID 1

CoerSZ: 143372288(Sectors) 70006(MB) RawSZ: 143374743(Sectors)

70006MB drive scsi ID 2

CoerSZ: 143372288(Sectors) 70006(MB) RawSZ: 143374743(Sectors)

70006MB drive scsi ID 3

CoerSZ: 143372288(Sectors) 70006(MB) RawSZ: 143374743(Sectors)

/usr/sbin/megarc.bin -phys -a0 -chAll -idAll
...

Adapter 0, Channel 0, Target ID 0 ----------------------------------------
Type: DISK Vendor : SEAGATE
Product: ST373207LC Revision : 0003
Synchronous : Yes Wide-32 : No Wide-16: Yes
LinkCmdSupport?: Yes TagQ support: Yes RelAddr?: No
Removable : No SoftReset? : No AENC : No

Adapter 0, Channel 0, Target ID 1 ----------------------------------------
Type: DISK Vendor : SEAGATE
Product: ST373207LC Revision : 0003
Synchronous : Yes Wide-32 : No Wide-16: Yes
LinkCmdSupport?: Yes TagQ support: Yes RelAddr?: No
Removable : No SoftReset? : No AENC : No

Adapter 0, Channel 0, Target ID 2 ----------------------------------------
Type: DISK Vendor : SEAGATE
Product: ST373207LC Revision : 0003
Synchronous : Yes Wide-32 : No Wide-16: Yes
LinkCmdSupport?: Yes TagQ support: Yes RelAddr?: No
Removable : No SoftReset? : No AENC : No

Adapter 0, Channel 0, Target ID 3 ----------------------------------------
Type: DISK Vendor : SEAGATE
Product: ST373207LC Revision : 0003
Synchronous : Yes Wide-32 : No Wide-16: Yes
LinkCmdSupport?: Yes TagQ support: Yes RelAddr?: No
Removable : No SoftReset? : No AENC : No

Adapter 0, Channel 0, Target ID 6 ----------------------------------------
Type: PROC Vendor : SUPER
Product: GEM318 Revision : 0
Synchronous : No Wide-32 : No Wide-16: No
LinkCmdSupport?: No TagQ support: No RelAddr?: No
Removable : No SoftReset? : No AENC : No

output smartctl:

# /usr/sbin/smartctl -a -d megaraid,0 /dev/sda
smartctl 5.39 2009-12-04 r2993 [i686-redhat-linux-gnu] (local build)
Copyright (C) 2002-9 by Bruce Allen, http://smartmontools.sourceforge.net

Smartctl open device: /dev/sda [megaraid_disk_00] failed: INQUIRY failed

show can i get smart info?

Change History (9)

comment:1 Changed 7 years ago by chrfranke

  • Cc jharg added

Does it probably require option '-d sat+megaraid,0' ?

There are only few changes to the megaraid related code since it was added in r2650, r2655 and r2658. Does it work with one of these SVN revisions ?

comment:2 Changed 7 years ago by ascopenco

output with option '-d sat+megaraid,0'

# /usr/sbin/smartctl -a -d sat+megaraid,0 /dev/sda
smartctl 5.39 2009-12-04 r2993 [i686-redhat-linux-gnu] (local build)
Copyright (C) 2002-9 by Bruce Allen, http://smartmontools.sourceforge.net

Smartctl: Device Read Identity Failed (not an ATA/ATAPI device)

A mandatory SMART command failed: exiting. To continue, add one or more '-T permissive' options.

comment:3 Changed 7 years ago by chrfranke

  • Keywords linux megaraid added

Did it work with any previous SVN revision, in particular r2650, r2655 or r2658 ?

comment:4 Changed 7 years ago by chrfranke

  • Version set to 5.39

comment:5 Changed 6 years ago by dipohl

  • Keywords changed from linux, megaraid to megaraid linux

comment:6 Changed 5 years ago by chrfranke

  • Resolution set to wontfix
  • Status changed from new to closed

No feedback since Dec 2009.

comment:7 Changed 5 years ago by chrfranke

  • Keywords needinfo added

comment:8 Changed 5 years ago by jonbendtsen

this page showed up in my own search for a solution, so I have decided to leave a note for any future users about what worked for me.

chrfranke's suggested solution, option '-d sat+megaraid,0' did not work out of the box for me either. But if I change it to '-d sat+megaraid,2' I do get S.M.A.R.T information with this command: smartctl -i -d sat+megaraid,2 /dev/sda

If I let the ,2 run through a sequence like from 2-14 I do get individual information about all my 12 disks. The Serial Number is different depending on which ,# I ask about.

However, if I keep the ,# static, like ,2 then it does not make any difference if I ask /dev/sda, /dev/sdb, ..., /dev/sdl or /dev/bsg/* I still get the same disk information sole dependent on the ,# part.

This means I can not use smartctl to correlate which disk is sda, sdb, ..., sdl. But it is possible to use "megacli -LdPdInfo? -a0" because one of that commands output lines are "Virtual Drive: 11 (Target Id: 11)" which matches the lsscsi output "[0:2:11:0] disk SMC SMC2108 2.12 /dev/sdl". Another megacli output line is "Device Id: 14" which corresponds to the ,14 number above. The serial number from smartctl ..blabla... ,14 matches with the serial number from both "megacli -LdPdInfo? -a0" and "megacli -pdInfo -PhysDrv?[$encdeviceid:$slotnr] -a$controllernr".

comment:9 Changed 3 years ago by k2chris1983

Adding more to jonbendtsen comment.

You will need to do the following:

MegaCli -LdPdInfo -a0 - This shows the "Device ID: XXX"

Run the command and note down the Device ID's.

Once you have all the Device ID's you can finally run your smartctl.

smartctl -S on -a -d megaraid,XXX /dev/sdN

Note: XXX = Device ID Number while N is the corresponding to mount.

Note: See TracTickets for help on using tickets.